aboutsummaryrefslogtreecommitdiffstats
path: root/main/ffmpeg
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/ffmpeg
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/ffmpeg')
-rw-r--r--main/ffmpeg/APKBUILD45
-rw-r--r--main/ffmpeg/pic.patch11
2 files changed, 56 insertions, 0 deletions
diff --git a/main/ffmpeg/APKBUILD b/main/ffmpeg/APKBUILD
new file mode 100644
index 0000000000..fcad6fe1b3
--- /dev/null
+++ b/main/ffmpeg/APKBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ffmpeg
+pkgver=0.5
+pkgrel=0
+pkgdesc="Complete and free Internet live audio and video broadcasting solution for Linux/Unix"
+url="http://ffmpeg.mplayerhq.hu/"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="lame-dev libvorbis-dev faad2-dev faac-dev xvidcore-dev zlib-dev
+ imlib2-dev x264-dev libtheora-dev coreutils bzip2-dev perl"
+depends=""
+source="http://$pkgname.mplayerhq.hu/releases/$pkgname-$pkgver.tar.bz2
+ pic.patch"
+
+build ()
+{
+ cd "$srcdir/$pkgname-$pkgver" || return 1
+ patch -p1 < ../pic.patch || return 1
+
+ ./configure --prefix=/usr \
+ --enable-gpl \
+ --enable-libmp3lame \
+ --enable-libvorbis \
+ --enable-libfaac \
+ --enable-libfaad \
+ --enable-libxvid \
+ --enable-libx264 \
+ --enable-libtheora \
+ --enable-postproc \
+ --enable-shared \
+ --enable-pthreads \
+ --enable-x11grab \
+ --disable-mmx \
+ --disable-mmx2 \
+ --disable-stripping \
+ --enable-swscale || return 1
+ make || return 1
+ make tools/qt-faststart || return 1
+ make doc/ffmpeg.1 doc/ffplay.1 doc/ffserver.1 || return 1
+ make DESTDIR="$pkgdir" install install-man || return 1
+ install -D -m755 tools/qt-faststart "$pkgdir/usr/bin/qt-faststart" || return 1
+# strip --strip-debug "$pkgdir"/usr/lib/*.a || return 1
+}
+md5sums="be8503f15c3b81ba00eb8379ca8dcf33 ffmpeg-0.5.tar.bz2
+3c5d446db8d512a3bca5f5a860bbcc04 pic.patch"
diff --git a/main/ffmpeg/pic.patch b/main/ffmpeg/pic.patch
new file mode 100644
index 0000000000..9651f31ef1
--- /dev/null
+++ b/main/ffmpeg/pic.patch
@@ -0,0 +1,11 @@
+--- a/libswscale/rgb2rgb.c 2009-07-10 14:27:39.000000000 +0000
++++ b/libswscale/rgb2rgb.c 2009-07-10 14:53:45.000000000 +0000
+@@ -149,7 +149,7 @@
+ #define RENAME(a) a ## _C
+ #include "rgb2rgb_template.c"
+
+-#if ARCH_X86 && CONFIG_GPL
++#if ARCH_X86 && CONFIG_GPL && !defined(PIC)
+
+ //MMX versions
+ #undef RENAME